<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: NVS Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classNVS-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NVS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provide Non Volatile Storage access.  
 <a href="classNVS.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="CPPNVS_8h_source.html">CPPNVS.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab1692081a875f4b0013277ee121e6522"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#ab1692081a875f4b0013277ee121e6522">NVS</a> (std::string name, nvs_open_mode openMode=NVS_READWRITE)</td></tr>
<tr class="memdesc:ab1692081a875f4b0013277ee121e6522"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab1692081a875f4b0013277ee121e6522">More...</a><br /></td></tr>
<tr class="separator:ab1692081a875f4b0013277ee121e6522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23bef809c0a495d65f01c3e58e260bdd"><td class="memItemLeft" align="right" valign="top"><a id="a23bef809c0a495d65f01c3e58e260bdd"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#a23bef809c0a495d65f01c3e58e260bdd">~NVS</a> ()</td></tr>
<tr class="memdesc:a23bef809c0a495d65f01c3e58e260bdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Desctructor. <br /></td></tr>
<tr class="separator:a23bef809c0a495d65f01c3e58e260bdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadcc511b9113a56700ba56b070135e41"><td class="memItemLeft" align="right" valign="top"><a id="aadcc511b9113a56700ba56b070135e41"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#aadcc511b9113a56700ba56b070135e41">commit</a> ()</td></tr>
<tr class="memdesc:aadcc511b9113a56700ba56b070135e41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Commit any work performed in the namespace. <br /></td></tr>
<tr class="separator:aadcc511b9113a56700ba56b070135e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0a90a5ea01bccb557c3a18d701ef859"><td class="memItemLeft" align="right" valign="top"><a id="aa0a90a5ea01bccb557c3a18d701ef859"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#aa0a90a5ea01bccb557c3a18d701ef859">erase</a> ()</td></tr>
<tr class="memdesc:aa0a90a5ea01bccb557c3a18d701ef859"><td class="mdescLeft">&#160;</td><td class="mdescRight">Erase ALL the keys in the namespace. <br /></td></tr>
<tr class="separator:aa0a90a5ea01bccb557c3a18d701ef859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c9194213a36196cc2915d2b7b1a2bae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#a3c9194213a36196cc2915d2b7b1a2bae">erase</a> (std::string key)</td></tr>
<tr class="memdesc:a3c9194213a36196cc2915d2b7b1a2bae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Erase a specific key in the namespace.  <a href="#a3c9194213a36196cc2915d2b7b1a2bae">More...</a><br /></td></tr>
<tr class="separator:a3c9194213a36196cc2915d2b7b1a2bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36b01ca8871d435f7a9c885d81df8e3c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">get</a> (std::string key, std::string *result, bool isBlob=false)</td></tr>
<tr class="memdesc:a36b01ca8871d435f7a9c885d81df8e3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve a string/blob value by key.  <a href="#a36b01ca8871d435f7a9c885d81df8e3c">More...</a><br /></td></tr>
<tr class="separator:a36b01ca8871d435f7a9c885d81df8e3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a7eb339f665987df48fef65e7a9945"><td class="memItemLeft" align="right" valign="top"><a id="a36a7eb339f665987df48fef65e7a9945"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>get</b> (std::string key, uint8_t *result, size_t &amp;length)</td></tr>
<tr class="separator:a36a7eb339f665987df48fef65e7a9945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541a00f2ad1f8ca4023615368321e283"><td class="memItemLeft" align="right" valign="top"><a id="a541a00f2ad1f8ca4023615368321e283"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>get</b> (std::string key, uint32_t &amp;value)</td></tr>
<tr class="separator:a541a00f2ad1f8ca4023615368321e283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada586fb7a5ae6781fc7d2e2babf9894"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNVS.html#aada586fb7a5ae6781fc7d2e2babf9894">set</a> (std::string key, std::string data, bool isBlob=false)</td></tr>
<tr class="memdesc:aada586fb7a5ae6781fc7d2e2babf9894"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the string/blob value by key.  <a href="#aada586fb7a5ae6781fc7d2e2babf9894">More...</a><br /></td></tr>
<tr class="separator:aada586fb7a5ae6781fc7d2e2babf9894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a202bd7001ddcab9ac2c0fd3963c07a39"><td class="memItemLeft" align="right" valign="top"><a id="a202bd7001ddcab9ac2c0fd3963c07a39"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set</b> (std::string key, uint32_t value)</td></tr>
<tr class="separator:a202bd7001ddcab9ac2c0fd3963c07a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ee7dbf4a4a74151a734baacaa4549d"><td class="memItemLeft" align="right" valign="top"><a id="a82ee7dbf4a4a74151a734baacaa4549d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set</b> (std::string key, uint8_t *data, size_t length)</td></tr>
<tr class="separator:a82ee7dbf4a4a74151a734baacaa4549d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provide Non Volatile Storage access. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab1692081a875f4b0013277ee121e6522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1692081a875f4b0013277ee121e6522">&#9670;&nbsp;</a></span>NVS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NVS::NVS </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">nvs_open_mode&#160;</td>
          <td class="paramname"><em>openMode</em> = <code>NVS_READWRITE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The namespace to open for access. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">openMode</td><td>The open mode. One of NVS_READWRITE (default) or NVS_READONLY. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3c9194213a36196cc2915d2b7b1a2bae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c9194213a36196cc2915d2b7b1a2bae">&#9670;&nbsp;</a></span>erase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NVS::erase </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Erase a specific key in the namespace. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">key</td><td>The key to erase from the namespace. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a36b01ca8871d435f7a9c885d81df8e3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36b01ca8871d435f7a9c885d81df8e3c">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int NVS::get </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string *&#160;</td>
          <td class="paramname"><em>result</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isBlob</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve a string/blob value by key. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">key</td><td>The key to read from the namespace. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">result</td><td>The string read from the NVS storage. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aada586fb7a5ae6781fc7d2e2babf9894"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aada586fb7a5ae6781fc7d2e2babf9894">&#9670;&nbsp;</a></span>set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NVS::set </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isBlob</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the string/blob value by key. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">key</td><td>The key to set from the namespace. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>The value to set for the key. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="CPPNVS_8h_source.html">CPPNVS.h</a></li>
<li>CPPNVS.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
